Documents

One template

GET
/v1/workspaces/{workspace_id}/templates/{template_id}

One of the templates you can see.

Authorization

bearer
headerAuthorizationBearer <token>

An access token from /v1/auth/token, or a personal token: opaque, beginning s2a_.

Path Parameters

workspace_id*string

wsp_…, from GET /v1/me

Lengthlength <= 40
template_id*string

tpl_…

Lengthlength <= 40

Response Body

The template

application/json
  1. response

The template

id*string

tpl_…

name*string
description*string|null
documents*array<string>

The documents’ names, in order

steps*array<>

Who acts, in order

usable*boolean
unusable_reason*|

Why it cannot be used now, in your language

curl -X GET 'https://api.sign2approve.com/v1/workspaces/string/templates/string'
{  "id": "tpl_01a16d3fd3507be78e41c4540aa20a3c",  "name": "Standard quote",  "description": null,  "documents": [    "Quote"  ],  "steps": [    {      "name": "Client signer",      "role": "signer",      "kind": "external",      "routing_order": 1,      "conditional": false    }  ],  "usable": true,  "unusable_reason": null}